### Class

# EvinceView JobLoadStream

since: 3.6

#### Description [src]

    class EvinceView.JobLoadStream : EvinceView.Job
    {
      char* password,
      GInputStream* stream,
      EvDocumentLoadFlags flags
    }

A job class to load a `EvDocument` from a `GInputStream`.

Available since: 3.6

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_load_stream_new

No description available.

#### Instance methods

###### ev_job_load_stream_set_load_flags

No description available.

###### ev_job_load_stream_set_mime_type

No description available.

###### ev_job_load_stream_set_password

No description available.

###### ev_job_load_stream_set_stream

No description available.

##### Methods inherited from EvJob (11)

###### ev_job_cancel

No description available.

###### ev_job_failed

No description available.

###### ev_job_failed_from_error

No description available.

###### ev_job_get_run_mode

No description available.

###### ev_job_is_failed

No description available.

###### ev_job_is_finished

No description available.

###### ev_job_run

No description available.

###### ev_job_scheduler_push_job

No description available.

###### ev_job_scheduler_update_job

No description available.

###### ev_job_set_run_mode

No description available.

###### ev_job_succeeded

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

###### EvJob::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewJobLoadStreamClass {
      EvJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvJobClass`

  No description available.